[checksum]
; 现在没有用处，是为了不让用户改动uninst部分而设计的
Uninst=8wBS52yA9mAxcbBSlzwQUadeadfLQATA

[defines]
; 内外都用的
; 显示名称(内用: 很多地方的抬头显示)
dispname=Parawolffist
; 提示的定义
; 卸载时的提示(内用)
UninstPrompt=Thanks for using <companyname>'s product. You chose to remove all contents of "<dispname>", are you SURE to do it?

; 外用的
; 公司名称
companyname=EpieGame
; 产品名称
productgroup=Piggy and Wolffy
productname=<dispname>
scgrpdir=<productgroup>\<productname>
; 注册表中的名称
; 公司(现在没什么用)
companyreg=EpieGame
; 产品(比如uninst中的反安装键名)
productreg=E_PIG_WOLF_Para

;目录的定义
;prgroot	: 安装根目录(用户可选择，如果用户不选就是默认的安装目录)
;prgfile	: program files
;win		: windows
;sys		: windows\system
; setup执行文件名(内用: 给autorun用的)
setupexe=.\setup.exe
; 默认的安装文件目录
setup=<srcdir>\setup
; 默认的字路径(那用, 用于加到选中的目录后面)
grpdir=Piggy&Wolffy
lastdir=Parawolffist
subdir=<companyreg>\<grpdir>\<lastdir>
; 默认的安装路径
default=<prgfile>\<subdir>

;注册表的定义
HMRegRoot=HKEY_LOCAL_MACHINE\SOFTWARE\EpieGame

;
MEXE=Parawolffist.exe

[Setup]
; 资源文件(里面存放主界面的bmp和icon)
resource=.\images.dll
; 背景图的资源id
bkgid	= 129
; 图标的资源id
iconid	= 128
; 所有需拷贝的文件总大小(KB)
totalsize=22759
; 要拷贝安装的目录(setup是在Defines中定义的)
; 源目录, 目标目录, 出错是否退出, 是否拷贝子目录(0-不拷贝，1-拷贝)
; dir后面的序号必须连续, 否会读不到后面的数据
; 这个是默认安装
dir1=setup.ini , <prgroot>, 1, 0, setup.ini
dir2=<setup>\prg, <prgroot>, 1, 1

[ShortCuts]
;可以有多个group
group1=group1
; 在desktop中建立的快捷方式
desktop1=<dispname>, <prgroot>\<MEXE>

[group1]
grpname=<companyname>\<scgrpdir>
; 程序项, 格式: itemN=名称, 程序名, 参数, 图标文件名, 图标序号
item1=Run <productname>, <prgroot>\<MEXE>
item2=Uninstall <productname>, <prgroot>\uninst.exe

[Regs]
; 注册反安装(注册项名, 显示名称, 命令行)
;           (regname, DisplayName, UninstallString, InstallPath)
; 在unistall的注册中写入InstallPath=..., 可以用它来判断是否已经安装
uninstall=<productreg>, <dispname>, <prgroot>\uninst.exe, <prgroot>

[Run]
; 如果已经安装, 应该自动运行的程序名(判断installed理由)
; prgroot可以从uninstall的注册表中读到
installed=<prgroot>\<MEXE>

[Uninst]
; 无需删除的文件列表, 放在那个目录下就管那个目录!!!
except=~except.lst
; 删除多个group
group1=<companyname>\<scgrpdir>
; 多个desktop
desktop1=<dispname>
; 多个目录(edir1表示不删除在~except.lst中列出的目录和文件)
edir1=<prgroot>
; 卸载反安装注册(这个需要最后卸载, 因为安装目录<prgroot>是写在这里的)
uninstall=<productreg>
